<div class="">
  <form (ngSubmit)="filtersSubmit()" >
    <mat-checkbox value="Transito" class="example-margin full-content" (change)="onChangeCover($event)">Transito</mat-checkbox>
    <mat-checkbox value="Parque" class="example-margin" (change)="onChangeCover($event)" >Parque</mat-checkbox>
    <mat-checkbox value="Agua" class="example-margin" (change)="onChangeCover($event)" >Agua</mat-checkbox>
    <mat-checkbox value="Electrica" class="example-margin" (change)="onChangeCover($event)" >Electrico</mat-checkbox>
    <button mat-raised-button color="primary" type="submit"> Filtrar </button>
    <button mat-raised-button color="primary" type="button" (click)="kmeansGroup()" > K-Means </button>
  </form>
</div>
<!-- <agm-map [latitude]="latitude" [longitude]="longitude" [zoom]="13" (mapClick)="placeMarker($event)">  -->
<agm-map [latitude]="latitude" [longitude]="longitude" [zoom]="13"> 
    <!-- <agm-rectangle [north]="max('lat')" [east]="max('lng')" [south]="min('lat')" [west]="min('lng')">
    </agm-rectangle> -->
    <agm-kml-layer  [clickable]="false" [suppressInfoWindows]="true" [url]="'https://www.dropbox.com/s/t6lvmc50t59obqr/laflorida.kml?dl=1'"> </agm-kml-layer>
    <ng-container *ngIf="!showKmean">
      <agm-marker [iconUrl]="r.marker" [latitude]="r.lat" [longitude]="r.lng" *ngFor="let r of incidents; "></agm-marker>
    </ng-container>
    <ng-container *ngIf="showKmean">
      <agm-marker [iconUrl]="marker[2]" [latitude]="marker[1]" [longitude]="marker[0]" *ngFor="let marker of groupedKmeansIncidents['kmeans'];"></agm-marker>
      <agm-marker [latitude]="circleGroup[1]" [longitude]="circleGroup[0]" *ngFor="let circleGroup of groupedKmeansIncidents['groupInfo'];"></agm-marker>
      <agm-circle *ngFor="let circleGroup of groupedKmeansIncidents['groupInfo'];" [latitude]="circleGroup[1]" [longitude]="circleGroup[0]" 
        [radius]="circleGroup[4] * 100000"
        [fillColor]="'red'">
      </agm-circle> 
    </ng-container>
</agm-map>

